=== debian/control ===
Source: kitty
Priority: optional
Maintainer: James McCoy <jamessan@debian.org>
Section: x11
Standards-Version: 4.1.5
Rules-Requires-Root: no
Homepage: https://github.com/kovidgoyal/kitty
Vcs-Git: https://salsa.debian.org/jamessan/kitty.git
Vcs-Browser: https://salsa.debian.org/jamessan/kitty
Build-Depends:
 debhelper (>= 11~),
 dh-python,
 libfontconfig1-dev,
 libfreetype6-dev,
 libgl1-mesa-dev,
 libharfbuzz-dev (>= 1.5.0),
 libpng-dev,
 libx11-xcb-dev,
 libxcursor-dev,
 libxi-dev,
 libxinerama-dev,
 libxkbcommon-x11-dev,
 libxrandr-dev,
 pkg-config,
 python3-dev (>= 3.5),
 python3-sphinx,
 zlib1g-dev,

Package: kitty
Architecture: any
Depends:
 kitty-terminfo,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 kitty-doc
Provides:
 x-terminal-emulator
Description: fast, featureful, GPU based terminal emulator
 Kitty supports modern terminal features like: graphics, unicode,
 true-color, OpenType ligatures, mouse protocol, focus tracking, and
 bracketed paste.
 .
 Kitty has a framework for "kittens", small terminal programs that can be used
 to extend its functionality.

Package: kitty-terminfo
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: fast, featureful, GPU based terminal emulator (terminfo file)
 This package provides the xterm-kitty terminfo definition for the kitty
 terminal emulator so that it can easily be installed on remote systems.

Package: kitty-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Built-Using:
 ${sphinxdoc:Built-Using},
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Breaks: kitty (<< 0.9.1-1~)
Replaces: kitty (<< 0.9.1-1~)
Description: fast, featureful, GPU based terminal emulator (documentation)
 This package contains the AsciiDoc/HTML documentation for the kitty terminal
 emulator.
