=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/default.mk

LDFLAGS += -Wl,--as-needed

OVERRIDE_CFLAGS = $(CFLAGS)
OVERRIDE_CPPFLAGS = $(CPPFLAGS)
OVERRIDE_LDFLAGS = $(LDFLAGS)
export OVERRIDE_CFLAGS OVERRIDE_CPPFLAGS OVERRIDE_LDFLAGS

%:
	dh $@ --with python3 --with sphinxdoc

override_dh_auto_clean:
	python3 setup.py --verbose clean

override_dh_auto_build: export HOME=$(CURDIR)/debian/fakehome
override_dh_auto_build: MAKEFLAGS=SPHINXOPTS=-Dhtml_theme_options.github_banner=false
override_dh_auto_build:
	python3 setup.py --verbose linux-package

override_dh_auto_test: export HOME=$(CURDIR)/debian/fakehome
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p "$(HOME)"
	env HOME="$(HOME)" python3 setup.py --verbose test
endif

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/tmp/usr
	cp -a linux-package/* $(CURDIR)/debian/tmp/usr/

override_dh_install:
	dh_install -Xlib/kitty/terminfo

override_dh_installdocs:
	dh_installdocs
	# Remove PayPal's tracking pixel
	[ ! -d debian/kitty-doc ] || sed -i '/pixel\.gif/d' debian/kitty-doc/usr/share/doc/kitty/html/support.html

override_dh_python3:
	dh_python3 --no-ext-rename

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst
