## kitty 0.13.3

=== debian/changelog ===
kitty (0.13.3-1) unstable; urgency=medium

  * New upstream release
  * Declare compliance with Policy 4.3.0, no changes needed

 -- James McCoy <jamessan@debian.org>  Thu, 24 Jan 2019 23:16:31 -0500

kitty (0.13.1-1) unstable; urgency=medium

  * New upstream release
  * Add python3-pil to Build-Depends for tests
  * Update kitty's homepage.
    Thanks to Chris Lamb for the patch (Closes: #911848)

 -- James McCoy <jamessan@debian.org>  Sun, 16 Dec 2018 20:40:07 -0500

kitty (0.12.3-1) unstable; urgency=medium

  * New upstream release
    + Add support for IME via IBus, enabled by setting GLFW_IM_MODULE=ibus
    + New command, kitty + complete, to export shell completion for bash, zsh,
      and fish
  * control: Add libdbus-1-dev to Build-Depends for IBus support
  * rules: Disable verbose builds for DEB_BUILD_OPTIONS=terse
  * Declare compliance with Policy 4.2.1

 -- James McCoy <jamessan@debian.org>  Sun, 30 Sep 2018 09:36:30 -0400
