=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Priority: optional
 Maintainer: James McCoy <jamessan@debian.org>
 Section: x11
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Rules-Requires-Root: no
-Homepage: https://github.com/kovidgoyal/kitty
+Homepage: https://sw.kovidgoyal.net/kitty/
 Vcs-Git: https://salsa.debian.org/jamessan/kitty.git
 Vcs-Browser: https://salsa.debian.org/jamessan/kitty
 Build-Depends:
  debhelper (>= 11~),
  dh-python,
+ libdbus-1-dev,
  libfontconfig1-dev,
  libfreetype6-dev,
  libgl1-mesa-dev,
@@ -23,6 +24,7 @@
  libxrandr-dev,
  pkg-config,
  python3-dev (>= 3.5),
+ python3-pil <!nocheck>,
  python3-sphinx,
  zlib1g-dev,
