=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
 Build-Depends:
  debhelper (>= 11~),
  dh-python,
+ libcanberra-dev,
  libdbus-1-dev,
  libfontconfig1-dev,
  libfreetype6-dev,
@@ -22,10 +23,12 @@
  libxinerama-dev,
  libxkbcommon-x11-dev,
  libxrandr-dev,
+ libwayland-dev,
  pkg-config,
  python3-dev (>= 3.5),
  python3-pil <!nocheck>,
  python3-sphinx,
+ wayland-protocols,
  zlib1g-dev,
 
 Package: kitty
@@ -37,6 +40,9 @@
  ${shlibs:Depends},
 Recommends:
  kitty-doc
+Suggests:
+# For tui kitten
+ imagemagick
 Provides:
  x-terminal-emulator
 Description: fast, featureful, GPU based terminal emulator
