## kitty 0.15.0

=== debian/changelog ===
kitty (0.15.0-1ubuntu0.2) focal-security; urgency=medium

  * SECURITY UPDATE: an attacker controlled image file allows execution
    of arbitrary commands
    - debian/patches/CVE-2020-35605.patch: removes printing image
      filename in error message
    - CVE-2020-35605

 -- Mark Esler <mark.esler@canonical.com>  Tue, 04 Oct 2022 18:46:33 -0500

kitty (0.15.0-1build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:32:56 +0000

kitty (0.15.0-1) unstable; urgency=medium

  * New upstream release
    + Dynamically load canberra (for sounds) rather than linking against it.

 -- James McCoy <jamessan@debian.org>  Sun, 15 Dec 2019 22:28:08 -0500

kitty (0.14.6-1) unstable; urgency=medium

  * New upstream release
    + Support fonts where fontconfig reports spacing=90.  (Closes: #944558)
  * Declare compliance with Policy 4.4.1, no changes needed

 -- James McCoy <jamessan@debian.org>  Mon, 11 Nov 2019 20:18:35 -0500

kitty (0.14.4-1) unstable; urgency=medium

  * New upstream release
  * control:
    + Restrict Wayland B-D to Linux architectures
  * Update to debhelper compat 12 and debhelper-compat Build-Depends
  * Declare compliance with Policy 4.4.0, no changes needed

 -- James McCoy <jamessan@debian.org>  Tue, 03 Sep 2019 20:52:30 -0400
