=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: kitty
 Priority: optional
-Maintainer: James McCoy <jamessan@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: James McCoy <jamessan@debian.org>
 Section: x11
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Homepage: https://sw.kovidgoyal.net/kitty/
 Vcs-Git: https://salsa.debian.org/jamessan/kitty.git
 Vcs-Browser: https://salsa.debian.org/jamessan/kitty
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  dh-python,
- libcanberra-dev,
  libdbus-1-dev,
  libfontconfig1-dev,
  libfreetype6-dev,
@@ -23,12 +23,12 @@
  libxinerama-dev,
  libxkbcommon-x11-dev,
  libxrandr-dev,
- libwayland-dev,
+ libwayland-dev [linux-any],
  pkg-config,
  python3-dev (>= 3.5),
  python3-pil <!nocheck>,
  python3-sphinx,
- wayland-protocols,
+ wayland-protocols [linux-any],
  zlib1g-dev,
 
 Package: kitty
@@ -39,7 +39,9 @@
  ${python3:Depends},
  ${shlibs:Depends},
 Recommends:
- kitty-doc
+ kitty-doc,
+# To play the "beep" sound for the terminal
+ libcanberra0
 Suggests:
 # For tui kitten
  imagemagick
