=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: kitty
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: James McCoy <jamessan@debian.org>
+Maintainer: James McCoy <jamessan@debian.org>
 Section: x11
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://sw.kovidgoyal.net/kitty/
 Vcs-Git: https://salsa.debian.org/jamessan/kitty.git
@@ -25,7 +24,7 @@
  libxrandr-dev,
  libwayland-dev [linux-any],
  pkg-config,
- python3-dev (>= 3.5),
+ python3-dev (>= 3.6),
  python3-pil <!nocheck>,
  python3-sphinx,
  wayland-protocols [linux-any],
