=== debian/changelog ===
kitty (0.19.3-1) unstable; urgency=medium

  * New upstream release
    + Fix arbitrary command execution via graphics protocol.  CVE-2020-35605

 -- James McCoy <jamessan@debian.org>  Tue, 22 Dec 2020 15:08:30 -0500

kitty (0.19.2-1) unstable; urgency=medium

  * New upstream release
  * Add override for repeated-path-segment
  * Declare compliance with Policy 4.5.1, no changes needed
  * Bump debhelper-compat to 13

 -- James McCoy <jamessan@debian.org>  Mon, 30 Nov 2020 15:38:53 -0500

kitty (0.19.1-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Add information for uthash.h
  * d/control: Add new Build-Depends on liblcms2-dev
  * Use system uthash-dev instead of shipped version

 -- James McCoy <jamessan@debian.org>  Wed, 28 Oct 2020 22:43:42 -0400
