=== debian/changelog ===
kitty (0.21.2-1ubuntu0.22.04.1) jammy-security; urgency=medium

  * SECURITY UPDATE: an attacker controlled desktop notification escape
    sequence allows execution of arbitrary commands
    - debian/patches/CVE-2022-41322.patch: sanitizes desktop notification
      escape sequence
    - CVE-2022-41322

 -- Mark Esler <mark.esler@canonical.com>  Tue, 04 Oct 2022 18:46:33 -0500

kitty (0.21.2-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 19:28:35 +0000

kitty (0.21.2-1) unstable; urgency=medium

  * New upstream release
    + BREAKING CHANGES
      - Session files now use the full "launch" command with all its
        capabilities. However, the syntax of the command is slightly different
        from before. In particular watchers are now specified directly on
        launch and environment variables are set using "--env".
      - The options to control which modifiers keys to press for various mouse
        actions have been removed, if you used these options, you will need to
        replace them with configuration using the new "mouse actions
        framework" as they will be ignored. The options were:
        "terminal_select_modifiers", "rectangle_select_modifiers" and
        "open_url_modifiers".
  * control: Bump libharfbuzz-dev Build-Depends to >= 2.2.0
  * Declare compliance with Policy 4.6.0, no changes needed
  * Document how to use IME with kitty (Closes: #990316)

 -- James McCoy <jamessan@debian.org>  Sun, 21 Nov 2021 11:55:20 -0500
