=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: kitty
 Priority: optional
-Maintainer: James McCoy <jamessan@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: James McCoy <jamessan@debian.org>
 Section: x11
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://sw.kovidgoyal.net/kitty/
 Vcs-Git: https://salsa.debian.org/jamessan/kitty.git
@@ -14,7 +15,7 @@
  libfontconfig1-dev,
  libfreetype6-dev,
  libgl1-mesa-dev,
- libharfbuzz-dev (>= 1.5.0),
+ libharfbuzz-dev (>= 2.2.0),
  liblcms2-dev,
  libpng-dev,
  libx11-xcb-dev,
