=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v(\d[\d.]+)\.tar\.gz%kitty-$1.tar.gz%" \
  https://github.com/kovidgoyal/kitty/tags \
  (?:.*?/)?v(\d[\d.]+)\.tar\.gz
