## kitty 0.26.5

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,10 @@
 endif
 ifdef VERBOSE
 	VVAL=--verbose
+endif
+
+ifdef FAIL_WARN
+export FAIL_WARN
 endif
 
 all:
@@ -31,13 +35,29 @@
 app:
 	python3 setup.py kitty.app $(VVAL)
 
+linux-package: FORCE
+	rm -rf linux-package
+	python3 setup.py linux-package
+
+FORCE:
+
 man:
-	$(MAKE) FAIL_WARN=$(FAIL_WARN) -C docs man
+	$(MAKE) -C docs man
 
 html:
-	$(MAKE) FAIL_WARN=$(FAIL_WARN) -C docs html
+	$(MAKE) -C docs html
+
+dirhtml:
+	$(MAKE) -C docs dirhtml
 
 linkcheck:
-	$(MAKE) FAIL_WARN=$(FAIL_WARN) -C docs linkcheck
+	$(MAKE) -C docs linkcheck
+
+website:
+	./publish.py --only website
 
 docs: man html
+
+
+develop-docs:
+	$(MAKE) -C docs develop-docs
