=== docs/requirements.txt ===
sphinx
furo
sphinx-copybutton
sphinxext-opengraph
sphinx-inline-tabs
