=== debian/changelog ===
kitty (0.26.5-5) unstable; urgency=high

  * Ship kitty-open.desktop as an example, instead of under
    /usr/share/applications.  This avoids registering kitty as a handler for
    various MIME types, which could cause it to execute untrusted files,
    instead of viewing them. (Closes: #1034875)

 -- James McCoy <jamessan@debian.org>  Fri, 12 May 2023 21:46:07 -0400

kitty (0.26.5-4) unstable; urgency=medium

  * Backport test fix when $TERM is set to non-kitty value (Closes: #1030054)
  * Lintian
    - Replace libfontconfig1-dev B-D with libfontconfig-dev
    - Replace libfreetype6-dev B-D with libfreetype-dev
    - Replace libgl1-mesa-dev B-D with libgl-dev and libglvnd-dev

 -- James McCoy <jamessan@debian.org>  Tue, 31 Jan 2023 06:09:41 -0500

kitty (0.26.5-3) unstable; urgency=medium

  * Backport patch to fix test failures on Python 3.11
  * Include terminfo file in kitty package, as needed by the ssh kitten
    (Closes: #1027777)

 -- James McCoy <jamessan@debian.org>  Wed, 04 Jan 2023 06:14:15 -0500

kitty (0.26.5-2) unstable; urgency=medium

  * Upload to unstable
  * Set up a writable $KITTY_RUNTIME_DIRECTORY for tests
  * Move Vcs to debian group
  * Backport patch to fix big-endian test failures

 -- James McCoy <jamessan@debian.org>  Fri, 23 Dec 2022 13:22:36 -0500

kitty (0.26.5-1) experimental; urgency=medium

  * New upstream release (Closes: #1011079)
    - Remove all backported patches
    - Add zsh to Build-Depends for shell integration tests
    - Add fish to Build-Depends for shell integration tests
  * Set LC_ALL=C.UTF-8 for tests
  * Split shell-integration files into new kitty-shell-integration package
  * Lintian:
    - Adjust overrides to new format
    - Override bin-sbin-mismatch lintian tag in ssh kitten
    - Override bash-term-in-posix-shell in ssh shell integration
  * Switch to dh_installalternatives
  * Declare compliance with Policy 4.6.2, no changes needed
  * Backport patch to fix bash integration with bash >= 5.2

 -- James McCoy <jamessan@debian.org>  Tue, 20 Dec 2022 08:43:41 -0500

kitty (0.21.2-2) unstable; urgency=medium

  * Remove docs/_build/ when running clean
  * Use wrapper script to provide gmake binary during build
  * Backport security fix
    + Sanitize notifications ids as they are retransmitted over the TTY
      (Closes: #1020582, CVE-2022-41322)

 -- James McCoy <jamessan@debian.org>  Wed, 28 Sep 2022 21:54:22 -0400
