=== debian/control ===
--- 
+++ 
@@ -1,23 +1,27 @@
 Source: kitty
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: James McCoy <jamessan@debian.org>
+Maintainer: James McCoy <jamessan@debian.org>
 Section: x11
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://sw.kovidgoyal.net/kitty/
-Vcs-Git: https://salsa.debian.org/jamessan/kitty.git
-Vcs-Browser: https://salsa.debian.org/jamessan/kitty
+Vcs-Git: https://salsa.debian.org/debian/kitty.git
+Vcs-Browser: https://salsa.debian.org/debian/kitty
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ fish <!nocheck>,
+ furo <!nodoc>,
  libdbus-1-dev,
- libfontconfig1-dev,
- libfreetype6-dev,
- libgl1-mesa-dev,
- libharfbuzz-dev (>= 2.2.0),
+ libfontconfig-dev,
+ libfreetype-dev,
+ libgl-dev,
+ libglvnd-dev,
+ libharfbuzz-dev,
  liblcms2-dev,
  libpng-dev,
+ librsync-dev,
+ libssl-dev,
  libx11-xcb-dev,
  libxcursor-dev,
  libxi-dev,
@@ -26,16 +30,21 @@
  libxrandr-dev,
  libwayland-dev [linux-any],
  pkg-config,
- python3-dev (>= 3.6),
+ python3-dev,
  python3-pil <!nocheck>,
- python3-sphinx,
+ python3-sphinx <!nodoc>,
+ python3-sphinx-copybutton <!nodoc>,
+ python3-sphinx-inline-tabs <!nodoc>,
+ python3-sphinxext-opengraph <!nodoc>,
  uthash-dev,
  wayland-protocols [linux-any],
  zlib1g-dev,
+ zsh <!nocheck>,
 
 Package: kitty
 Architecture: any
 Depends:
+ kitty-shell-integration,
  kitty-terminfo,
  ${misc:Depends},
  ${python3:Depends},
@@ -66,6 +75,16 @@
  This package provides the xterm-kitty terminfo definition for the kitty
  terminal emulator so that it can easily be installed on remote systems.
 
+Package: kitty-shell-integration
+Architecture: all
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+Description: fast, featureful, GPU based terminal emulator (shell integration files)
+ This package provides Kitty's shell-integration files so that it can easily
+ be installed on remote systems.
+
 Package: kitty-doc
 Architecture: all
 Multi-Arch: foreign
@@ -75,8 +94,6 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
-Breaks: kitty (<< 0.9.1-1~)
-Replaces: kitty (<< 0.9.1-1~)
 Description: fast, featureful, GPU based terminal emulator (documentation)
  This package contains the AsciiDoc/HTML documentation for the kitty terminal
  emulator.
