=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,6 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 include /usr/share/dpkg/default.mk
-
-LDFLAGS += -Wl,--as-needed
 
 OVERRIDE_CFLAGS = $(CFLAGS)
 OVERRIDE_CPPFLAGS = $(CPPFLAGS)
@@ -16,22 +14,24 @@
 	V=--verbose
 endif
 
+HOME = $(CURDIR)/debian/fakehome
+KITTY_RUNTIME_DIRECTORY = $(CURDIR)/debian/fakeruntime
+
 %:
 	dh $@ --with python3 --with sphinxdoc
 
 override_dh_auto_clean:
 	python3 setup.py $(V) clean
 
-override_dh_auto_build: export HOME=$(CURDIR)/debian/fakehome
-override_dh_auto_build: MAKEFLAGS=SPHINXOPTS=-Dhtml_theme_options.github_banner=false
 override_dh_auto_build:
-	python3 setup.py $(V) linux-package
+	env HOME="$(HOME)" PATH=$$PATH:$(CURDIR)/debian/bin python3 setup.py $(V) linux-package
 
-override_dh_auto_test: export HOME=$(CURDIR)/debian/fakehome
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	mkdir -p "$(HOME)"
-	env HOME="$(HOME)" python3 setup.py $(V) test
+	mkdir -p "$(KITTY_RUNTIME_DIRECTORY)"
+	env HOME="$(HOME)" KITTY_RUNTIME_DIRECTORY="$(KITTY_RUNTIME_DIRECTORY)" python3 setup.py $(V) build-launcher
+	env HOME="$(HOME)" KITTY_RUNTIME_DIRECTORY="$(KITTY_RUNTIME_DIRECTORY)" LC_ALL=C.UTF-8 python3 setup.py $(V) test
 endif
 
 override_dh_auto_install:
@@ -39,7 +39,8 @@
 	cp -a linux-package/* $(CURDIR)/debian/tmp/usr/
 
 override_dh_install:
-	dh_install -Xlib/kitty/terminfo
+	dh_install -Nkitty-shell-integration -Xlib/kitty/shell-integration
+	dh_install -pkitty-shell-integration
 
 override_dh_installdocs:
 	dh_installdocs
