## kitty 0.31.0

=== debian/changelog ===
kitty (0.31.0-4) unstable; urgency=medium

  * Update Forwarded DEP3 patch headers
  * Remove unneeded hunk from 'use-usr-bin-env-in-shebang' patch
  * Backport kitten man pages (Closes: #1055770)
  * Add NEWS entry regarding change in text rendering (Closes: #1059382)
  * Remove unneeded gmake alias
  * Pass -trimpath to go build to ensure reproducible binaries
  * Remove unneeded bin-sbin-mismatch lintian override

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Mon, 25 Dec 2023 21:52:43 +0530

kitty (0.31.0-3) unstable; urgency=medium

  * Move to unstable after fixing bugs in (and testing) the new version.
  * Patch update-self to disable functionality for packaged version
    and explicitly state that to the user with a message when the
    command is run.

 -- Nilesh Patra <nilesh@debian.org>  Fri, 17 Nov 2023 12:45:09 +0530

kitty (0.31.0-2) experimental; urgency=medium

  * Do not install kitty.conf to /etc/xdg as updates are anyway not run
    on non-frozen builds which includes packages built from source
    (Closes: #1054633)
  * Add in upstream patch to Fix config file reloading not working is a
    system config file is set and no user config file is present at startup
  * Add a preinst to remove config file if not modified by the user

 -- Nilesh Patra <nilesh@debian.org>  Mon, 13 Nov 2023 15:06:30 +0530

kitty (0.31.0-1) experimental; urgency=medium

  [ Maytham Alsudany ]
  * New upstream version 0.31.0
  * Run gen/go_code.py in debian/rules
  * Add descriptions to patches
  * Skip failing test_fish_integration

  [ Nilesh Patra ]
  * Add own d/salsa-ci.yml for running CI; disable reprotest
  * backport upstream patch to fix test_fish_integration test
  * Add patch to skip a couple of tests on ppc64el

 -- Nilesh Patra <nilesh@debian.org>  Sat, 11 Nov 2023 22:14:06 +0530

kitty (0.30.1-1) experimental; urgency=medium

  [ Maytham Alsudany ]
  * New upstream release (Closes: #1030238, #1037440)
  * drop old patches
  * patch: make setup.py compatible with GOPATH mode
  * update debian/rules to build new kittens binary
  * install new kitten binary
  * enforce minimum version for golang-github-bmatcuk-doublestar-dev
  * resolve lintian shebang error
  * use dh-golang where possible
  * Ensure consistent shebangs in Python library files
  * Eliminate all privacy breaches
  * Ignore the fact that shell integaration scripts aren't executable
  * Update address of the FSF in debian/copyright
  * Remove all installation instructions
  * Link docs/graphics-protocol.rst image
  * fixup! Link docs/graphics-protocol.rst image

  [ Nilesh Patra ]
  * Add myself as new Maintainer and Maytham as Uploader (Closes: #1055347)
  * Specify XS-Go-Import-Path
  * Enforce minimum version for golang-golang-x-exp-dev
  * Do not run tests inside go testing directory
  * Use dh-golang's buildsystem to test instead of kitty's upstream system
  * Skip couple of failing go tests
  * Add ldflags as well to the build command
  * Run dh_golang and generate Built-Using packages with the
    same field in d/control
  * Remove _build from d/clean. Go buildsystem should take care of it

 -- Nilesh Patra <nilesh@debian.org>  Sat, 11 Nov 2023 01:59:38 +0530
