=== debian/control ===
--- 
+++ 
@@ -1,15 +1,33 @@
 Source: kitty
 Priority: optional
-Maintainer: James McCoy <jamessan@debian.org>
+Maintainer: Nilesh Patra <nilesh@debian.org>
+Uploaders: Maytham Alsudany <maytha8thedev@gmail.com>
 Section: x11
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
+XS-Go-Import-Path: kitty
 Homepage: https://sw.kovidgoyal.net/kitty/
 Vcs-Git: https://salsa.debian.org/debian/kitty.git
 Vcs-Browser: https://salsa.debian.org/debian/kitty
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ dh-golang,
+ golang-any,
+ golang-github-altree-bigfloat-dev,
+ golang-github-alecthomas-chroma-v2-dev,
+ golang-github-bmatcuk-doublestar-dev (>= 4),
+ golang-github-disintegration-imaging-dev,
+ golang-github-dlclark-regexp2-dev,
+ golang-github-google-go-cmp-dev,
+ golang-github-google-uuid-dev,
+ golang-github-seancfoley-ipaddress-go-dev,
+ golang-github-shirou-gopsutil-dev,
+ golang-github-zeebo-xxh3-dev,
+ golang-golang-x-exp-dev (>= 0.0~git20230801),
+ golang-golang-x-image-dev,
+ golang-golang-x-sys-dev,
+ golang-howett-plist-dev,
  fish <!nocheck>,
  furo <!nodoc>,
  libdbus-1-dev,
@@ -28,6 +46,7 @@
  libxinerama-dev,
  libxkbcommon-x11-dev,
  libxrandr-dev,
+ libxxhash-dev,
  libwayland-dev [linux-any],
  pkg-config,
  python3-dev,
@@ -58,6 +77,7 @@
  imagemagick
 Provides:
  x-terminal-emulator
+Built-Using: ${misc:Built-Using}
 Description: fast, featureful, GPU based terminal emulator
  Kitty supports modern terminal features like: graphics, unicode,
  true-color, OpenType ligatures, mouse protocol, focus tracking, and
