## kitty 0.32.0

=== debian/changelog ===
kitty (0.32.0-1) unstable; urgency=medium

  [ Maytham Alsudany ]
  * New upstream version 0.32.0
    * Drop patches that have been applied upstream, unfuzz remaining patches
    * Pass --skip-building-kitten to setup.py instead of patching it out
  * Check for <!nodoc> before building docs
  * Override lintian warning regarding kitty-doc's Built-Using field

  [ Nilesh Patra ]
  * d/rules: Remove --vcs-rev parameter altogether

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Sat, 20 Jan 2024 11:26:54 +0530
