=== debian/rules ===
--- 
+++ 
@@ -40,22 +40,23 @@
 	dh_auto_configure -O--buildsystem=golang -O--builddirectory=_build
 
 override_dh_auto_build:
-	env HOME="$(HOME)" python3 setup.py $(V) linux-package --vcs-rev "b247fda672d69631b8f0fa4db8c7076a96939b77"
+	env HOME="$(HOME)" python3 setup.py $(V) linux-package --skip-building-kitten
 	cp $(CURDIR)/kitty/docs_ref_map_generated.h $(GO_BUILDDIR)/kitty/kitty
 	cp $(CURDIR)/kitty/uniforms_generated.h $(GO_BUILDDIR)/kitty/kitty
 	cd $(GO_BUILDDIR)/kitty && \
-		$(CURDIR)/linux-package/bin/kitty +launch gen/go_code.py && \
-		cd $(SRCDIR)
+		$(CURDIR)/linux-package/bin/kitty +launch gen/go_code.py
 	GOPATH="$(GOPATH)" go build -trimpath -v -ldflags '-s -w' -o $(CURDIR)/linux-package/bin/kitten kitty/tools/cmd
+	ln -s $(CURDIR)/linux-package/bin/kitten $(CURDIR)/kitty/launcher/kitten
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	$(MAKE) docs
+endif
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	mkdir -p "$(HOME)"
 	mkdir -p "$(KITTY_RUNTIME_DIRECTORY)"
-	ln -s $(CURDIR)/linux-package/bin/kitten $(CURDIR)/kitty/launcher/kitten
 	# Run python tests
-	HOME="$(HOME)" KITTY_RUNTIME_DIRECTORY="$(KITTY_RUNTIME_DIRECTORY)" python3 setup.py $(V) build-launcher
+	GOPATH="$(GOPATH)" HOME="$(HOME)" KITTY_RUNTIME_DIRECTORY="$(KITTY_RUNTIME_DIRECTORY)" python3 setup.py $(V) build-launcher --skip-building-kitten --skip-code-generation
 	GOPATH="$(GOPATH)" HOME="$(HOME)" KITTY_RUNTIME_DIRECTORY="$(KITTY_RUNTIME_DIRECTORY)" LC_ALL=C.UTF-8 python3 setup.py $(V) test
 	# Run Golang tests
 	dh_auto_test -O--buildsystem=golang -O--builddirectory=_build
