## kitty 0.32.2

=== debian/changelog ===
kitty (0.32.2-1ubuntu0.4) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Wed, 25 Jun 2025 10:57:40 +1000

kitty (0.32.2-1ubuntu0.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 11 Nov 2024 10:23:40 +1000

kitty (0.32.2-1ubuntu0.2) noble; urgency=medium

  * Backport upstream commit 9eb82c600d4fc392717d6bf09242e19a6ce33ca2
    to fix SyntaxWarning on install (LP: #2073688)
  * Backport upstream commit ecc44dffeb50746cc3e3019750226a80a50082a3
    to fix test_ssh_leading_data with newer releases of Python

 -- Agathe Porte <agathe.porte@canonical.com>  Sun, 21 Jul 2024 15:36:42 +0900

kitty (0.32.2-1ubuntu0.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 16 Jul 2024 11:22:26 +0530

kitty (0.32.2-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:00:53 +1100

kitty (0.32.2-1build2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:18:24 +0000

kitty (0.32.2-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 07:00:08 +0000

kitty (0.32.2-1) unstable; urgency=medium

  * New upstream version 0.32.2 (Refresh patches)
  * d/rules: Set KITTY_PATH_TO_KITTY_EXE for dh_auto_test since
    the executable can not be found at standard paths during build
  * Update B-D from pkg-config => pkgconf

 -- Nilesh Patra <nilesh@debian.org>  Sun, 18 Feb 2024 02:57:45 +0530

kitty (0.32.1-1) unstable; urgency=medium

  * New upstream version 0.32.1 (Closes: #1061362)
  * Update d/copyright

 -- Nilesh Patra <nilesh@debian.org>  Sun, 28 Jan 2024 18:21:26 +0530
