=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: kitty
 Priority: optional
-Maintainer: Nilesh Patra <nilesh@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Nilesh Patra <nilesh@debian.org>
 Uploaders: Maytham Alsudany <maytha8thedev@gmail.com>
 Section: x11
 Standards-Version: 4.6.2
@@ -48,7 +49,7 @@
  libxrandr-dev,
  libxxhash-dev,
  libwayland-dev [linux-any],
- pkg-config,
+ pkgconf,
  python3-dev,
  python3-pil <!nocheck>,
  python3-sphinx <!nodoc>,
