## kitty 0.35.1

=== debian/changelog ===
kitty (0.35.1-1) unstable; urgency=medium

  [ Maytham Alsudany ]
  * New upstream version 0.35.1
  * Update docs/faq.rst patch to replace another image with a link

  [ Nilesh Patra ]
  * set LC_ALL and LANG to en_US.UTF-8 to build-time fixup tests

 -- Nilesh Patra <nilesh@debian.org>  Tue, 04 Jun 2024 17:45:33 +0530

kitty (0.34.1-1) unstable; urgency=medium

  [ Nilesh Patra ]
  * New upstream version 0.34.1 (Refresh Patches)
    (Closes: #1069740)
  * Add versioned B-D on golang-any as per go.mod
  * Add Suggests on fonts-noto-color-emoji (Closes: #1069750)
  * Add patch to ignore vendor dir. Remove the patch once
    the module(s) are de-vendored

  [ Michael R. Crusoe ]
  * pass openmp-simd flags for SIMDe

  [ Maytham Alsudany ]
  * Add new Depends: golang-github-edwvee-exiffix-dev
  * Vendor forked disintegration/imaging dependency
  * d/rules: Remove ifeq nocheck (unneeded since debhelper 13)

 -- Nilesh Patra <nilesh@debian.org>  Wed, 01 May 2024 12:03:05 +0530

kitty (0.33.1-1) unstable; urgency=medium

  * New upstream version 0.33.1
  * Drop patches that have been applied upstream
  * Update/Refresh patches
  * Add patch to fixup tests on s390x

 -- Nilesh Patra <nilesh@debian.org>  Thu, 21 Mar 2024 20:57:34 +0530

kitty (0.33.0-2) unstable; urgency=medium

  * Cherry-pick upstream patch to disable simd on unsupported archs
  * Fixup for xor-data-256 on !amd64 archs
  * Update patch as per upstream commit to not call __builtin_cpu_supports
    for non-SIMD archs.

 -- Nilesh Patra <nilesh@debian.org>  Sun, 17 Mar 2024 01:55:25 +0530

kitty (0.33.0-1) unstable; urgency=medium

  * New upstream version 0.33.0
  * Update/Refresh patches
  * Update copyright
  * Add B-D on libsimde-dev
  * Override gencontrol to include simde Built-Using
  * Update lintian override

 -- Nilesh Patra <nilesh@debian.org>  Sat, 16 Mar 2024 17:46:23 +0530
