## kitty 0.35.2

=== debian/changelog ===
kitty (0.35.2-1) unstable; urgency=medium

  * New upstream version 0.35.2 (Closes: #1074216)

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Mon, 24 Jun 2024 23:12:10 +0800
