=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: kitty
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nilesh Patra <nilesh@debian.org>
+Maintainer: Nilesh Patra <nilesh@debian.org>
 Uploaders: Maytham Alsudany <maytha8thedev@gmail.com>
 Section: x11
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 XS-Go-Import-Path: kitty
 Homepage: https://sw.kovidgoyal.net/kitty/
@@ -14,12 +13,13 @@
  debhelper-compat (= 13),
  dh-python,
  dh-golang,
- golang-any,
+ golang-any (>= 2:1.22~),
  golang-github-altree-bigfloat-dev,
  golang-github-alecthomas-chroma-v2-dev,
  golang-github-bmatcuk-doublestar-dev (>= 4),
- golang-github-disintegration-imaging-dev,
+# golang-github-disintegration-imaging-dev,
  golang-github-dlclark-regexp2-dev,
+ golang-github-edwvee-exiffix-dev,
  golang-github-google-go-cmp-dev,
  golang-github-google-uuid-dev,
  golang-github-seancfoley-ipaddress-go-dev,
@@ -40,6 +40,7 @@
  liblcms2-dev,
  libpng-dev,
  librsync-dev,
+ libsimde-dev,
  libssl-dev,
  libx11-xcb-dev,
  libxcursor-dev,
@@ -49,6 +50,8 @@
  libxrandr-dev,
  libxxhash-dev,
  libwayland-dev [linux-any],
+ locales,
+ locales-all,
  pkgconf,
  python3-dev,
  python3-pil <!nocheck>,
@@ -59,7 +62,7 @@
  uthash-dev,
  wayland-protocols [linux-any],
  zlib1g-dev,
- zsh <!nocheck>,
+ zsh <!nocheck>
 
 Package: kitty
 Architecture: any
@@ -75,10 +78,12 @@
  libcanberra0
 Suggests:
 # For tui kitten
- imagemagick
+ imagemagick,
+ fonts-noto-color-emoji
 Provides:
  x-terminal-emulator
-Built-Using: ${misc:Built-Using}
+Built-Using: ${misc:Built-Using},
+             ${simde:Built-Using}
 Description: fast, featureful, GPU based terminal emulator
  Kitty supports modern terminal features like: graphics, unicode,
  true-color, OpenType ligatures, mouse protocol, focus tracking, and
