=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 include /usr/share/dpkg/default.mk
 
-OVERRIDE_CFLAGS = $(CFLAGS)
+OVERRIDE_CFLAGS = $(CFLAGS) -DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3
 OVERRIDE_CPPFLAGS = $(CPPFLAGS)
 OVERRIDE_LDFLAGS = $(LDFLAGS)
 export OVERRIDE_CFLAGS OVERRIDE_CPPFLAGS OVERRIDE_LDFLAGS
@@ -36,6 +36,7 @@
 	dh_auto_clean --buildsystem=golang -O--builddirectory=_build
 
 override_dh_auto_configure:
+	cp -r $(CURDIR)/debian/vendor/ $(CURDIR)/
 	dh_auto_configure -O--with=python3 -O--with=sphinxdoc
 	dh_auto_configure -O--buildsystem=golang -O--builddirectory=_build
 
@@ -52,16 +53,14 @@
 endif
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	mkdir -p "$(HOME)"
 	mkdir -p "$(KITTY_RUNTIME_DIRECTORY)"
 	# Run python tests
 	GOPATH="$(GOPATH)" HOME="$(HOME)" KITTY_RUNTIME_DIRECTORY="$(KITTY_RUNTIME_DIRECTORY)" python3 setup.py $(V) build-launcher --skip-building-kitten --skip-code-generation
-	GOPATH="$(GOPATH)" HOME="$(HOME)" KITTY_RUNTIME_DIRECTORY="$(KITTY_RUNTIME_DIRECTORY)" LC_ALL=C.UTF-8 python3 setup.py $(V) test
+	LC_ALL=en_US.UTF-8 LANG=en_US.UTF-8 GOPATH="$(GOPATH)" HOME="$(HOME)" KITTY_RUNTIME_DIRECTORY="$(KITTY_RUNTIME_DIRECTORY)" python3 setup.py $(V) test
 	# Run Golang tests
 	KITTY_PATH_TO_KITTY_EXE="$(CURDIR)/kitty/launcher/kitty" dh_auto_test -O--buildsystem=golang -O--builddirectory=_build
 	rm -f $(CURDIR)/kitty/launcher/kitten
-endif
 
 override_dh_auto_install:
 	mkdir -p $(CURDIR)/debian/tmp/usr
@@ -95,3 +94,6 @@
 
 override_dh_compress:
 	dh_compress -X/html
+
+override_dh_gencontrol:
+	dh_gencontrol -- -Vsimde:Built-Using="$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W "libsimde-dev")"
